org.wildfly.swarm.config.jca

## Enum DistributedWorkmanager.Selector

- java.lang.Object
- - java.lang.Enum<DistributedWorkmanager.Selector>
  - - org.wildfly.swarm.config.jca.DistributedWorkmanager.Selector

- All Implemented Interfaces:
    Serializable, Comparable<DistributedWorkmanager.Selector>
  Enclosing class:
    DistributedWorkmanager<T extends DistributedWorkmanager<T>>

      public static enum DistributedWorkmanager.Selector
      extends Enum<DistributedWorkmanager.Selector>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST_AVAILABLE`
    `MAX_FREE_THREADS`
    `PING_TIME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static DistributedWorkmanager.Selector` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DistributedWorkmanager.Selector[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST_AVAILABLE

          public static final DistributedWorkmanager.Selector FIRST_AVAILABLE

    - #### PING_TIME

          public static final DistributedWorkmanager.Selector PING_TIME

    - #### MAX_FREE_THREADS

          public static final DistributedWorkmanager.Selector MAX_FREE_THREADS

  - ### Method Detail

    - #### values

          public static DistributedWorkmanager.Selector[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistributedWorkmanager.Selector c : DistributedWorkmanager.Selector.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistributedWorkmanager.Selector valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<DistributedWorkmanager.Selector>`

Copyright © 2017 JBoss by Red Hat. All rights reserved.